Subject: [PATCH v2 08/13] mfd: Versatile Express system registers driver

From: [email-masked] (Arnd Bergmann)
Date: Wed, 19 Sep 2012 11:17:45 +0000

On Wednesday 19 September 2012, Pawel Moll wrote:
> On Tue, 2012-09-18 at 16:24 +0100, Arnd Bergmann wrote:
> > On Tuesday 18 September 2012, Pawel Moll wrote:
> 
> Yes, but I2C devices are created by of_i2c_register_devices() which
> knows how to interpret the reg property. And here, as these are normal
> platform devices now (as you suggested), the of_platform_bus_create()
> will treat it as a normal address, translate it via ranges and create
> IORESOURCE_MEM out of it... And that's what I wanted to avoid. Maybe
> unnecessarily?

You are right, this is a bit nasty, it should not attempt to do this.
Basically the reg parsing logic has a hack to work around apply PowerMac
firmware that misses some "ranges" properties.

I think we should change the DT parsing code to not create those
resources if there is a bus that can't be translated.

	Arnd